repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
    -   id: trailing-whitespace
    -   id: end-of-file-fixer
    -   id: check-yaml
        args: ["--unsafe"]
    -   id: check-toml
    -   id: check-added-large-files

-   repo: https://github.com/psf/black
    rev: 23.7.0
    hooks:
    -   id: black
        language_version: python3.10

-   repo: https://github.com/astral-sh/ruff-pre-commit
    rev: v0.0.282
    hooks:
    -   id: ruff
